import greenfoot.*;  // Importiert Actor, World, Greenfoot, GreenfootImage
import java.util.Random;

/**
 * Eine Welt, in der Krabben, Sandwrmer und Hummer leben.
 * 
 * @author Michael Kolling
 * @author Gunnar Johannesmeyer (bersetzung und kleinere Anpassung)
 * @version 1.0
 */

public class AutoWelt extends World
{
    /**
     * Erzeugt eine Krabbenwelt (der Strand).
     * Unsere Welt hat eine Gre von 560x460 Zellen,
     * wobei jede Zelle 1 Bildschirmpunkt gross ist.
     */

    public AutoWelt() 
    {
        super(1000, 800, 1);
        setPaintOrder(Spieler1.class, Spieler2.class, Begrenzung.class, Ziel.class, transparentZiel.class);
        
        addObject(new Spieler2(), 250,150);
        addObject(new Spieler1(), 250,100);
        addObject(new Ziel(), 310,135);
        addObject (new transparentZiel(), 320,135);
        

        
        
       //obere Begrenzung
        addObject(new Begrenzung(), 50 ,80);
        addObject(new Begrenzung(), 100 ,50);
        addObject(new Begrenzung(), 150 ,50);
        addObject(new Begrenzung(), 200 ,50);
        addObject(new Begrenzung(), 250 ,50);
        addObject(new Begrenzung(), 300 ,50);
        addObject(new Begrenzung(), 350 ,50);
        addObject(new Begrenzung(), 400 ,50);
        addObject(new Begrenzung(), 450 ,50);
        addObject(new Begrenzung(), 500 ,50);
        addObject(new Begrenzung(), 550 ,50);
        addObject(new Begrenzung(), 600 ,50);
        addObject(new Begrenzung(), 650 ,50);
        addObject(new Begrenzung(), 700 ,50);
        addObject(new Begrenzung(), 750 ,50);
        addObject(new Begrenzung(), 800 ,50);
        addObject(new Begrenzung(), 850 ,50);
        addObject(new Begrenzung(), 900 ,75);
        addObject(new Begrenzung(), 950 ,100);
        addObject(new Begrenzung(), 970 ,150);
        addObject(new Begrenzung(), 970 ,200);
        addObject(new Begrenzung(), 970 ,250);
        addObject(new Begrenzung(), 970 ,300);
        addObject(new Begrenzung(), 970 ,350);
        addObject(new Begrenzung(), 970 ,400);
        addObject(new Begrenzung(), 970 ,450);
        addObject(new Begrenzung(), 970 ,500);
        addObject(new Begrenzung(), 970 ,550);
        addObject(new Begrenzung(), 970 ,600);
        addObject(new Begrenzung(), 970 ,650);
        addObject(new Begrenzung(), 970 ,700);
        addObject(new Begrenzung(), 950 ,750);
        addObject(new Begrenzung(), 900 ,780);
        addObject(new Begrenzung(), 850 ,780);
        addObject(new Begrenzung(), 800 ,780);
        addObject(new Begrenzung(), 750 ,780);
        addObject(new Begrenzung(), 700 ,780);
        addObject(new Begrenzung(), 650 ,780);
        addObject(new Begrenzung(), 600 ,750);
        addObject(new Begrenzung(), 550 ,700);
        addObject(new Begrenzung(), 550 ,650);
        addObject(new Begrenzung(), 550 ,600);
        addObject(new Begrenzung(), 550 ,550);
        addObject(new Begrenzung(), 550 ,500);
        addObject(new Begrenzung(), 550 ,450);
        addObject(new Begrenzung(), 550 ,400);
        addObject(new Begrenzung(), 500 ,400);
        addObject(new Begrenzung(), 450 ,400);
        addObject(new Begrenzung(), 400 ,400);
        addObject(new Begrenzung(), 400 ,450);
        addObject(new Begrenzung(), 450 ,500);
        addObject(new Begrenzung(), 470 ,550);
        addObject(new Begrenzung(), 470 ,600);
        addObject(new Begrenzung(), 470 ,650);
        addObject(new Begrenzung(), 470 ,700);
        addObject(new Begrenzung(), 450 ,750);
        addObject(new Begrenzung(), 400 ,780);
        addObject(new Begrenzung(), 350 ,780);
        addObject(new Begrenzung(), 300 ,780);
        addObject(new Begrenzung(), 250 ,780);
        addObject(new Begrenzung(), 200 ,780);
        addObject(new Begrenzung(), 150 ,780);
        addObject(new Begrenzung(), 100 ,780);
        addObject(new Begrenzung(), 50 ,750);
        addObject(new Begrenzung(), 20 ,700);
        addObject(new Begrenzung(), 20 ,650);
        addObject(new Begrenzung(), 20 ,600);
        addObject(new Begrenzung(), 20 ,550);
        addObject(new Begrenzung(), 20 ,500);
        addObject(new Begrenzung(), 20 ,450);
        addObject(new Begrenzung(), 20 ,400);
        addObject(new Begrenzung(), 20 ,350);
        addObject(new Begrenzung(), 20 ,300);
        addObject(new Begrenzung(), 20 ,250);
        addObject(new Begrenzung(), 20 ,200);
        addObject(new Begrenzung(), 20 ,150);
        
        //untere Begrenzung
        
        addObject(new Begrenzung(), 200 ,250);
        addObject(new Begrenzung(), 250 ,220);
        addObject(new Begrenzung(), 300 ,220);
        addObject(new Begrenzung(), 350 ,220);
        addObject(new Begrenzung(), 400 ,220);
        addObject(new Begrenzung(), 450 ,220);
        addObject(new Begrenzung(), 500 ,220);
        addObject(new Begrenzung(), 550 ,220);
        addObject(new Begrenzung(), 600 ,220);
        addObject(new Begrenzung(), 650 ,220);
        addObject(new Begrenzung(), 700 ,220);
        addObject(new Begrenzung(), 750 ,250);
        addObject(new Begrenzung(), 750 ,300);
        addObject(new Begrenzung(), 750 ,350);
        addObject(new Begrenzung(), 750 ,400);
        addObject(new Begrenzung(), 750 ,450);
        addObject(new Begrenzung(), 750 ,500);
        addObject(new Begrenzung(), 750 ,550);
        addObject(new Begrenzung(), 750 ,600);
        addObject(new Begrenzung(), 200 ,300);
        addObject(new Begrenzung(), 200 ,350);
        addObject(new Begrenzung(), 200 ,400);
        addObject(new Begrenzung(), 200 ,450);
        addObject(new Begrenzung(), 225 ,500);
        addObject(new Begrenzung(), 250 ,550);
        addObject(new Begrenzung(), 270 ,600);
        addObject(new Begrenzung(), 270 ,650);
        addObject(new Begrenzung(), 220 ,650);
        addObject(new Begrenzung(), 200 ,600);
        addObject(new Begrenzung(), 200 ,550);

    }
}